#ifndef __ETER_D3D_VERTEXBUFFER_RING__
#define __ETER_D3D_VERTEXBUFFER_RING__

#include <eter/smart_pointer>

class IVertexBufferRing : public eter::smart_pointer_object<IVertexBufferRing>
{
public:
	static IVertexBufferRing* NewVertexBufferRing(uint vertexFormat, uint bufferSize, uint bufferCount);
	
	virtual bool SetVertices(const uint c_size, const void* c_srcVertices, const uint vertexStride);

protected:
	IVertexBufferRing() {}
	virtual ~IVertexBufferRing() {}
};

#endif