#pragma once

class test_CEventHandler : public sys::IEventHandler
{
public:
	test_CEventHandler() : m_rkSysApp(sys::IApplication::GetInstance()), m_rkGrpDev(grp::IDevice::GetInstance())
	{
		// WORK
		m_rkSysApp.InitConfigValueu("hres", 320);
		m_rkSysApp.InitConfigValueu("vres", 240);
		// END_OF_WORK
	}

	void OnIdle()
	{
		__OnRender();
		Sleep(100);
	}

	void OnChangeScreenResolution(uint width, uint height) 
	{
		m_rkGrpDev.ChangeBackBufferSize(width, height);
	}

	void OnKeyUp(uint vkey) 
	{}

	void OnKeyDown(uint vkey) 
	{}


	bool OnStartup()
	{
		return true;
	}
	void OnCleanup()
	{
	}

private:
	void __OnRender()
	{
		m_rkGrpDev.Clear();
		if (m_rkGrpDev.BeginScene())
		{
			m_rkGrpDev.EndScene();
			m_rkGrpDev.Present();
		}
	}
private:
	sys::IApplication&	m_rkSysApp;
	grp::IDevice&		m_rkGrpDev;
};

